EList
3
LIBEDATASERVER Library

# EList

## Synopsis

                        EList;
    void*               (*EListCopyFunc)                    (const void *data,
                                                             void *closure);
    void                (*EListFreeFunc)                    (void *data,
                                                             void *closure);
    EList*              e_list_new                          (EListCopyFunc copy,
                                                             EListFreeFunc free,
                                                             void *closure);
    void                e_list_construct                    (EList *list,
                                                             EListCopyFunc copy,
                                                             EListFreeFunc free,
                                                             void *closure);
    EList*              e_list_duplicate                    (EList *list);
    EIterator*          e_list_get_iterator                 (EList *list);
    void                e_list_append                       (EList *list,
                                                             const void *data);
    void                e_list_remove                       (EList *list,
                                                             const void *data);
    int                 e_list_length                       (EList *list);
    void                e_list_remove_link                  (EList *list,
                                                             GList *link);
    void                e_list_remove_iterator              (EList *list,
                                                             EIterator *iterator);
    void                e_list_invalidate_iterators         (EList *list,
                                                             EIterator *skip);

## Object Hierarchy

      GObject
       +----EList
             +----EAccountList

## Description

## Details

### EList

    typedef struct _EList EList;

### EListCopyFunc ()

    void*               (*EListCopyFunc)                    (const void *data,
                                                             void *closure);

`data` :

`closure` :

Returns :

### EListFreeFunc ()

    void                (*EListFreeFunc)                    (void *data,
                                                             void *closure);

`data` :

`closure` :

### e_list_new ()

    EList*              e_list_new                          (EListCopyFunc copy,
                                                             EListFreeFunc free,
                                                             void *closure);

`copy` :

`free` :

`closure` :

Returns :

### e_list_construct ()

    void                e_list_construct                    (EList *list,
                                                             EListCopyFunc copy,
                                                             EListFreeFunc free,
                                                             void *closure);

`list` :

`copy` :

`free` :

`closure` :

### e_list_duplicate ()

    EList*              e_list_duplicate                    (EList *list);

`list` :

Returns :

### e_list_get_iterator ()

    EIterator*          e_list_get_iterator                 (EList *list);

`list` :

Returns :

### e_list_append ()

    void                e_list_append                       (EList *list,
                                                             const void *data);

`list` :

`data` :

### e_list_remove ()

    void                e_list_remove                       (EList *list,
                                                             const void *data);

`list` :

`data` :

### e_list_length ()

    int                 e_list_length                       (EList *list);

`list` :

Returns :

### e_list_remove_link ()

    void                e_list_remove_link                  (EList *list,
                                                             GList *link);

`list` :

`link` :

### e_list_remove_iterator ()

    void                e_list_remove_iterator              (EList *list,
                                                             EIterator *iterator);

`list` :

`iterator` :

### e_list_invalidate_iterators ()

    void                e_list_invalidate_iterators         (EList *list,
                                                             EIterator *skip);

`list` :

`skip` :